#!/usr/bin/python -u
# -*- coding: utf-8 -*-


ATTRIBUTE_IX_NAMESPACE_URI = 0
ATTRIBUTE_IX_NAME          = 1
ATTRIBUTE_IX_VALUE_STRING  = 2
ATTRIBUTE_IX_VALUE_TYPE    = 3
ATTRIBUTE_IX_VALUE_DATA    = 4
ATTRIBUTE_LENGHT           = 5

TYPE_NULL               = 0
TYPE_REFERENCE          = 1
TYPE_ATTRIBUTE          = 2
TYPE_STRING             = 3
TYPE_FLOAT              = 4
TYPE_DIMENSION          = 5
TYPE_FRACTION           = 6
TYPE_FIRST_INT          = 16
TYPE_INT_DEC            = 16
TYPE_INT_HEX            = 17
TYPE_INT_BOOLEAN        = 18
TYPE_FIRST_COLOR_INT    = 28
TYPE_INT_COLOR_ARGB8    = 28
TYPE_INT_COLOR_RGB8     = 29
TYPE_INT_COLOR_ARGB4    = 30
TYPE_INT_COLOR_RGB4     = 31
TYPE_LAST_COLOR_INT     = 31
TYPE_LAST_INT           = 31

RADIX_MULTS       = [ 0.00390625, 3.051758E-005, 1.192093E-007, 4.656613E-010 ]
DIMENSION_UNITS   = [ "px", "dip", "sp", "pt", "in", "mm", "", "" ]
FRACTION_UNITS    = [ "%", "%p", "", "", "", "", "", "" ]
COMPLEX_UNIT_MASK = 15


CHUNK_AXML_FILE           = 0x00080003
CHUNK_RESOURCEIDS         = 0x00080180
CHUNK_XML_FIRST           = 0x00100100
CHUNK_XML_START_NAMESPACE = 0x00100100
CHUNK_XML_END_NAMESPACE   = 0x00100101
CHUNK_XML_START_TAG       = 0x00100102
CHUNK_XML_END_TAG         = 0x00100103
CHUNK_XML_TEXT            = 0x00100104
CHUNK_XML_LAST            = 0x00100104
CHUNK_TYPE                = 0x001C0001


START_DOCUMENT = 0
END_DOCUMENT   = 1
START_TAG      = 2
END_TAG        = 3
TEXT           = 4
